Bug 1944575 - Duplicate alert rules are displayed on console for thanos-querier api return wrong results
Summary: Duplicate alert rules are displayed on console for thanos-querier api return ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.z
Assignee: lserven
QA Contact: hongyan li
URL:
Whiteboard:
Depends On: 1926598
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-30 08:56 UTC by OpenShift BugZilla Robot
Modified: 2021-06-15 09:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 09:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift thanos pull 52 0 None open [release-4.7] Bug 1944575: pkg/rules: fix deduplication of equal alerts with different labels 2021-04-14 12:07:50 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:27:26 UTC

Comment 1 hongyan li 2021-04-15 04:22:39 UTC
test with pr, no duplicate alert rules returned by thanos_querier

Comment 4 Siddharth Sharma 2021-06-04 18:38:40 UTC
This bug will be shipped as part of next z-stream release 4.7.15 on June 14th, as 4.7.14 was dropped due to a regression https://bugzilla.redhat.com/show_bug.cgi?id=1967614

Comment 8 errata-xmlrpc 2021-06-15 09:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.